%define pkgname		unifont
%define name		fonts-ttf-%{pkgname}
%define version		6.2.20130902
%define release		2

Summary:		GNU Unifont glyphs
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{pkgname}-%{version}.ttf.gz
License:		GPLv2
Group:			System/Fonts/True type
Url:			http://unifoundry.com/unifont.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires: fontconfig
BuildRequires:		freetype-tools

%description
GNU Unifont provides glyphs for every printable code point in the
Unicode 6.2 Basic Multilingual Plane (BMP).  The BMP occupies the
first 65,536 code points of the Unicode space, denoted as
U+0000..U+FFFF.

%prep
%setup -q -T -c %{name}-%{version}
cp -f %SOURCE0 .
gunzip -f *.gz

%install
%__rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}

install -m 644 *.ttf %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}
ln -s %{pkgname}-%{version}.ttf %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}/%{pkgname}.ttf
ttmkfdir %{buildroot}/%{_datadir}/fonts/TTF/%{pkgname}  > %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/%{pkgname} \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-%{pkgname}:pri=50

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_datadir}/fonts/TTF/%{pkgname}
%{_datadir}/fonts/TTF/%{pkgname}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{pkgname}/fonts.dir
%{_datadir}/fonts/TTF/%{pkgname}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-%{pkgname}:pri=50



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 6.2.20130902-2
+ Revision: 0d310fb
- MassBuild#440: Increase release tag


